## intel-gmmlib 22.0.2+ds1

=== debian/changelog ===
intel-gmmlib (22.0.2+ds1-1~mx21ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sat, 12 Feb 2022 14:48:32 -0500

intel-gmmlib (22.0.2+ds1-1) unstable; urgency=medium

  * New upstream version 22.0.2+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 07 Feb 2022 22:16:56 +0100

intel-gmmlib (22.0.1+ds1-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream version 22.0.1+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 30 Dec 2021 22:12:03 +0100

intel-gmmlib (22.0.0+ds1-1) experimental; urgency=medium

  * New upstream version 22.0.0+ds1
  * SONAME bump: libigdgmm11 -> libigdgmm12
  * debian/copyright:
    - Bump copyright years
    - Remove Gabi Melman since spdlog is excluded

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 19 Dec 2021 10:50:08 +0100

intel-gmmlib (21.3.3+ds1-1) unstable; urgency=medium

  * New upstream version 21.3.3+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 19 Nov 2021 20:50:42 +0100
