=== Source/GmmLib/CMakeLists.txt ===
--- 
+++ 
@@ -25,14 +25,14 @@
 
 # GmmLib Api Version used for so naming
 set(GMMLIB_API_MAJOR_VERSION 12)
-set(GMMLIB_API_MINOR_VERSION 0)
+set(GMMLIB_API_MINOR_VERSION 1)
 
 if(NOT DEFINED MAJOR_VERSION)
 	set(MAJOR_VERSION 12)
 endif()
 
 if(NOT DEFINED MINOR_VERSION)
-	set(MINOR_VERSION 0)
+	set(MINOR_VERSION 1)
 endif()
 
 if(NOT DEFINED PATCH_VERSION)
@@ -42,6 +42,26 @@
 if(NOT DEFINED GMMLIB_API_PATCH_VERSION)
     set(GMMLIB_API_PATCH_VERSION ${PATCH_VERSION})
 endif()
+
+# The Gmmlib dll is generated as libigdgmm.so.<x>.<y>.<z> where,
+# <x> = GMMLIB_API_MAJOR_VERSION
+# <y> = GMMLIB_API_MINOR_VERSION
+# <z> = GMMLIB_API_PATCH_VERSION
+#
+# Example: libigdgmm.so.12.0.0
+# 12 = GMMLIB_API_MAJOR_VERSION
+# 0  = GMMLIB_API_MINOR_VERSION
+# 0  = GMMLIB_API_PATCH_VERSION
+#
+# Library version update
+# - increment major for any ABI change
+# - increment minor for any interface change (e.g. new/modified function)
+#
+# Example:
+# On potential ABI break changes
+#
+# libigdgmm.so.<GMMLIB_API_MAJOR_VERSION>.y.z becomes libigdgmm.so.<GMMLIB_API_MAJOR_VERSION + 1>.0.0
+# i.e libigdgmm.so.12.5.0 becomes libigdgmm.so.13.0.0
 
 message(STATUS "API version: ${GMMLIB_API_MAJOR_VERSION}.${GMMLIB_API_MINOR_VERSION}.${GMMLIB_API_PATCH_VERSION}")
 message(STATUS "Package version: ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
@@ -141,7 +161,9 @@
     set(CMAKE_BUILD_TYPE "Debug")
 endif()
 
-if("${GMMLIB_MARCH}" STREQUAL "")
+if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "^aarch")
+    set(GMMLIB_MARCH "armv8-a+fp+simd")
+elseif("${GMMLIB_MARCH}" STREQUAL "")
     set(GMMLIB_MARCH "corei7")
 endif()
 
@@ -275,20 +297,3 @@
 
 set(UMD_SOURCES
   ${SOURCES_}
-  ${BS_DIR_GMMLIB}/TranslationTable/GmmAuxTable.cpp
-  ${BS_DIR_GMMLIB}/TranslationTable/GmmPageTableMgr.cpp
-  ${BS_DIR_GMMLIB}/TranslationTable/GmmUmdTranslationTable.cpp
-  ${BS_DIR_GMMLIB}/GlobalInfo/GmmClientContext.cpp
-  ${BS_DIR_GMMLIB}/GlobalInfo/GmmLibDllMain.cpp
-  )
-
-source_group("Source Files\\Cache Policy\\Client Files" FILES
-			${BS_DIR_GMMLIB}/CachePolicy/GmmCachePolicyResourceUsageDefinitions.h
-			${BS_DIR_GMMLIB}/CachePolicy/GmmGen10CachePolicy.h
-			${BS_DIR_GMMLIB}/CachePolicy/GmmGen11CachePolicy.h
-			${BS_DIR_GMMLIB}/CachePolicy/GmmGen12CachePolicy.h
-                        ${BS_DIR_GMMLIB}/CachePolicy/GmmGen12dGPUCachePolicy.h
-			${BS_DIR_GMMLIB}/CachePolicy/GmmGen8CachePolicy.h
-			${BS_DIR_GMMLIB}/CachePolicy/GmmGen9CachePolicy.h
-			)
-
