=== debian/changelog ===
intel-gmmlib (22.1.2+ds1-1) unstable; urgency=medium

  * New upstream version 22.1.2+ds1
    - Revert ABI breakage (Closes: #1007992)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 25 Mar 2022 00:04:41 +0100

intel-gmmlib (22.1.1+ds1-1) unstable; urgency=medium

  * New upstream version 22.1.1+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 19 Mar 2022 23:24:24 +0100
