## intel-gmmlib 22.2.0+ds1

=== Source/GmmLib/CMakeLists.txt ===
--- 
+++ 
@@ -25,14 +25,14 @@
 
 # GmmLib Api Version used for so naming
 set(GMMLIB_API_MAJOR_VERSION 12)
-set(GMMLIB_API_MINOR_VERSION 1)
+set(GMMLIB_API_MINOR_VERSION 2)
 
 if(NOT DEFINED MAJOR_VERSION)
 	set(MAJOR_VERSION 12)
 endif()
 
 if(NOT DEFINED MINOR_VERSION)
-	set(MINOR_VERSION 1)
+	set(MINOR_VERSION 2)
 endif()
 
 if(NOT DEFINED PATCH_VERSION)
@@ -144,6 +144,19 @@
   set( CMAKE_CONFIGURATION_TYPES "${CMAKE_CONFIGURATION_TYPES}" CACHE STRING
        "Reset the configurations to what we need"
        FORCE)
+else()
+  if("${BUILD_TYPE}" STREQUAL "release")
+     set(CMAKE_BUILD_TYPE "Release")
+  elseif("${BUILD_TYPE}" STREQUAL "release-internal")
+    set(CMAKE_BUILD_TYPE "ReleaseInternal")
+  elseif("${BUILD_TYPE}" STREQUAL "debug")
+    set(CMAKE_BUILD_TYPE "Debug")
+  elseif("${BUILD_TYPE}" STREQUAL "RelWithDebInfo")
+    set(CMAKE_BUILD_TYPE "RelWithDebInfo")
+  elseif("${BUILD_TYPE}" STREQUAL "MinSizeRel")
+    set(CMAKE_BUILD_TYPE "MinSizeRel")
+  endif()
+
 endif()
 
 set(GMMLIB_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
@@ -151,14 +164,6 @@
     set (GMMLIB_ARCH "64")
 else()
     set (GMMLIB_ARCH "32")
-endif()
-
-if ("${BUILD_TYPE}" STREQUAL "release")
-    set(CMAKE_BUILD_TYPE "Release")
-elseif ("${BUILD_TYPE}" STREQUAL "release-internal")
-    set(CMAKE_BUILD_TYPE "ReleaseInternal")
-elseif ("${BUILD_TYPE}" STREQUAL "debug")
-    set(CMAKE_BUILD_TYPE "Debug")
 endif()
 
 if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "^aarch")
@@ -290,10 +295,3 @@
   ${BS_DIR_GMMLIB}/Texture/GmmTextureSpecialCases.cpp
   ${BS_DIR_GMMLIB}/Texture/GmmTextureOffset.cpp
   ${BS_DIR_GMMLIB}/GlobalInfo/GmmInfo.cpp
-  ${BS_DIR_GMMLIB}/Utility/CpuSwizzleBlt/CpuSwizzleBlt.c
-  ${BS_DIR_GMMLIB}/Utility/GmmLog/GmmLog.cpp
-  ${BS_DIR_GMMLIB}/Utility/GmmUtility.cpp
-)
-
-set(UMD_SOURCES
-  ${SOURCES_}
