=== debian/changelog ===
intel-gmmlib (22.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 22.2.0+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 21 Sep 2022 21:42:32 +0200

intel-gmmlib (22.1.8+ds1-1) unstable; urgency=medium

  * New upstream version 22.1.8+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 07 Sep 2022 09:30:41 +0200

intel-gmmlib (22.1.7+ds1-1) unstable; urgency=medium

  * New upstream version 22.1.7+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 02 Aug 2022 21:07:30 +0200

intel-gmmlib (22.1.5+ds1-1) unstable; urgency=medium

  * New upstream version 22.1.5+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 09 Jul 2022 15:32:35 +0200

intel-gmmlib (22.1.3+ds1-1) unstable; urgency=medium

  * New upstream version 22.1.3+ds1
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 26 May 2022 10:10:51 +0200
