=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  debhelper-compat (= 13),
  cmake,
  libspdlog-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/intel/gmmlib
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-gmmlib
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-gmmlib.git
