## intel-gmmlib 22.3.2+ds1

=== debian/changelog ===
intel-gmmlib (22.3.2+ds1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

  [ Sebastian Ramacher ]
  * New upstream version 22.3.2+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 16 Dec 2022 23:44:26 +0100

intel-gmmlib (22.3.1+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.1+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 21 Nov 2022 22:38:27 +0100

intel-gmmlib (22.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.0+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 30 Oct 2022 21:08:18 +0100

intel-gmmlib (22.2.1+ds1-1) unstable; urgency=medium

  * New upstream version 22.2.1+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 19 Oct 2022 19:12:24 +0200
