## intel-gmmlib 22.3.3+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,4 +4,6 @@
 option (RUN_TEST_SUITE "run test suite after install" ON)
 endif (NOT DEFINED RUN_TEST_SUITE)
 
+project(igfx_gmmumd)
+
 add_subdirectory(Source/GmmLib)
