=== debian/changelog ===
intel-gmmlib (22.3.3+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 06 May 2023 21:36:13 -0400

intel-gmmlib (22.3.3+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.3+ds1
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Jan 2023 15:08:15 +0100

intel-gmmlib (22.3.2+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Nicholas D Steeves <sten@debian.org>  Wed, 04 Jan 2023 20:47:47 -0500

intel-gmmlib (22.1.2+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 29 Apr 2022 20:43:05 -0400
