## intel-gmmlib 22.3.4+ds1

=== debian/changelog ===
intel-gmmlib (22.3.4+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.4+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 03 Mar 2023 21:29:17 +0100
