## intel-gmmlib 22.3.9+ds1

=== debian/changelog ===
intel-gmmlib (22.3.9+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.9+ds1
    - Fix build on i386 (Closes: #1041474)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 21 Jul 2023 22:03:26 +0200

intel-gmmlib (22.3.7+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.7+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 01 Jul 2023 18:04:44 +0200

intel-gmmlib (22.3.6+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.6+ds1
  * debian/patches: Refresh patches

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 08 Jun 2023 21:08:44 +0200
