## intel-gmmlib 22.3.11+ds1

=== debian/changelog ===
intel-gmmlib (22.3.11+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.11+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Sep 2023 19:01:19 +0200
