## intel-gmmlib 22.3.14+ds1

=== debian/changelog ===
intel-gmmlib (22.3.14+ds1-1deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:50:02 +0800

intel-gmmlib (22.3.14+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.14+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Dec 2023 00:13:08 +0100

intel-gmmlib (22.3.12+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.12+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Oct 2023 22:28:29 +0200
