=== debian/changelog ===
intel-gmmlib (22.3.17+ds1-1ubuntu1) noble; urgency=medium

  * debian/patches: Add patch for TWL support (LP: #2138258)

 -- Shane McKee <shane.mckee@canonical.com>  Mon, 12 Jan 2026 11:39:01 -0800

intel-gmmlib (22.3.17+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.17+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 07 Feb 2024 20:24:49 +0100

intel-gmmlib (22.3.16+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.16+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 29 Dec 2023 20:45:41 +0100
