## intel-gmmlib 22.3.19+ds1

=== debian/changelog ===
intel-gmmlib (22.3.19+ds1-1) unstable; urgency=medium

  * New upstream version 22.3.19+ds1
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 05 May 2024 18:50:18 +0200
