## intel-gmmlib 22.5.2

=== debian/changelog ===
intel-gmmlib (22.5.2-0ubuntu1) oracular; urgency=medium

  * Bump to 22.5.2 (LP: #2082016)

 -- Shane McKee <shane.mckee@canonical.com>  Mon, 23 Sep 2024 20:42:55 +0800

intel-gmmlib (22.5.0+ds1-1) unstable; urgency=medium

  * New upstream version 22.5.0+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 11 Aug 2024 19:39:36 +0200

intel-gmmlib (22.4.1+ds1-1) unstable; urgency=medium

  * New upstream version 22.4.1+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 14 Jul 2024 12:22:18 +0200
