## intel-gmmlib 22.6.0+ds1

=== Source/GmmLib/CMakeLists.txt ===
--- 
+++ 
@@ -25,14 +25,14 @@
 
 # GmmLib Api Version used for so naming
 set(GMMLIB_API_MAJOR_VERSION 12)
-set(GMMLIB_API_MINOR_VERSION 2)
+set(GMMLIB_API_MINOR_VERSION 6)
 
 if(NOT DEFINED MAJOR_VERSION)
 	set(MAJOR_VERSION 12)
 endif()
 
 if(NOT DEFINED MINOR_VERSION)
-	set(MINOR_VERSION 2)
+	set(MINOR_VERSION 6)
 endif()
 
 if(NOT DEFINED PATCH_VERSION)
@@ -125,14 +125,13 @@
 set (GMM_LIB_DLL_NAME igfx_gmmumd_dll)
 
 macro(GmmLibSetTargetConfig libTarget)
-	if (TARGET ${libTarget})
-			set_property(TARGET ${libTarget} APPEND PROPERTY COMPILE_DEFINITIONS
-				$<$<CONFIG:Release>: _RELEASE>
-				$<$<CONFIG:ReleaseInternal>: _RELEASE_INTERNAL>
-				$<$<CONFIG:Debug>: _DEBUG>
-			)
-		endif()
-
+    if(TARGET ${libTarget})
+        set_property(TARGET ${libTarget} APPEND PROPERTY COMPILE_DEFINITIONS
+           $<$<CONFIG:Release>: _RELEASE>
+           $<$<CONFIG:ReleaseInternal>: _RELEASE_INTERNAL>
+           $<$<CONFIG:Debug>: _DEBUG>
+           )
+    endif()
 endmacro()
 
 if(CMAKE_CONFIGURATION_TYPES)
@@ -204,13 +203,17 @@
 	${BS_DIR_GMMLIB}/CachePolicy/GmmGen10CachePolicy.h
 	${BS_DIR_GMMLIB}/CachePolicy/GmmGen11CachePolicy.h
 	${BS_DIR_GMMLIB}/CachePolicy/GmmGen12CachePolicy.h
-        ${BS_DIR_GMMLIB}/CachePolicy/GmmGen12dGPUCachePolicy.h
+        ${BS_DIR_GMMLIB}/CachePolicy/GmmXe_LPGCachePolicy.h
+        ${BS_DIR_GMMLIB}/CachePolicy/GmmXe2_LPGCachePolicy.h	
+	${BS_DIR_GMMLIB}/CachePolicy/GmmGen12dGPUCachePolicy.h
 	${BS_DIR_GMMLIB}/CachePolicy/GmmGen8CachePolicy.h
 	${BS_DIR_GMMLIB}/CachePolicy/GmmGen9CachePolicy.h
 	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen10.h
 	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen11.h
 	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen12.h
-        ${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen12dGPU.h
+	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyXe_LPG.h
+        ${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyXe2_LPG.h
+	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen12dGPU.h
 	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen8.h
 	${BS_DIR_GMMLIB}/inc/External/Common/CachePolicy/GmmCachePolicyGen9.h
 	${BS_DIR_GMMLIB}/inc/External/Common/GmmCachePolicy.h
@@ -244,6 +247,7 @@
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen10TextureCalc.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen11TextureCalc.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen12TextureCalc.h
+	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmXe_LPGTextureCalc.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen7TextureCalc.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen8TextureCalc.h
 	${BS_DIR_GMMLIB}/inc/Internal/Common/Texture/GmmGen9TextureCalc.h
@@ -272,6 +276,8 @@
   ${BS_DIR_GMMLIB}/CachePolicy/GmmGen10CachePolicy.cpp
   ${BS_DIR_GMMLIB}/CachePolicy/GmmGen11CachePolicy.cpp
   ${BS_DIR_GMMLIB}/CachePolicy/GmmGen12CachePolicy.cpp
+  ${BS_DIR_GMMLIB}/CachePolicy/GmmXe_LPGCachePolicy.cpp
+  ${BS_DIR_GMMLIB}/CachePolicy/GmmXe2_LPGCachePolicy.cpp
   ${BS_DIR_GMMLIB}/CachePolicy/GmmGen12dGPUCachePolicy.cpp
   ${BS_DIR_GMMLIB}/Platform/GmmGen11Platform.cpp
   ${BS_DIR_GMMLIB}/Platform/GmmGen12Platform.cpp
@@ -285,13 +291,3 @@
   ${BS_DIR_GMMLIB}/Resource/GmmRestrictions.cpp
   ${BS_DIR_GMMLIB}/Resource/Linux/GmmResourceInfoLinCWrapper.cpp
   ${BS_DIR_GMMLIB}/Texture/GmmGen7Texture.cpp
-  ${BS_DIR_GMMLIB}/Texture/GmmGen8Texture.cpp
-  ${BS_DIR_GMMLIB}/Texture/GmmGen9Texture.cpp
-  ${BS_DIR_GMMLIB}/Texture/GmmGen10Texture.cpp
-  ${BS_DIR_GMMLIB}/Texture/GmmGen11Texture.cpp
-  ${BS_DIR_GMMLIB}/Texture/GmmGen12Texture.cpp
-  ${BS_DIR_GMMLIB}/Texture/GmmTexture.cpp
-  ${BS_DIR_GMMLIB}/Texture/GmmTextureAlloc.cpp
-  ${BS_DIR_GMMLIB}/Texture/GmmTextureSpecialCases.cpp
-  ${BS_DIR_GMMLIB}/Texture/GmmTextureOffset.cpp
-  ${BS_DIR_GMMLIB}/GlobalInfo/GmmInfo.cpp
