=== debian/changelog ===
intel-gmmlib (22.6.0+ds1-1ubuntu2) plucky; urgency=medium

  * Backport patch to add Battlemage PCI ID 0xE211 (LP: #2106038)

 -- Shane McKee <shane.mckee@canonical.com>  Thu, 03 Apr 2025 14:49:07 +0400

intel-gmmlib (22.6.0+ds1-1ubuntu1) plucky; urgency=medium

  * Backport patch to add PCI IDs for Battlemage SKUs (LP: #2104011)

 -- Shane McKee <shane.mckee@canonical.com>  Tue, 25 Mar 2025 00:40:23 +0800

intel-gmmlib (22.6.0+ds1-1) unstable; urgency=medium

  * New upstream version 22.6.0+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 28 Dec 2024 13:31:31 +0100

intel-gmmlib (22.5.5+ds1-1) unstable; urgency=medium

  * New upstream version 22.5.5+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Dec 2024 20:50:16 +0100

intel-gmmlib (22.5.2+ds1-1) unstable; urgency=medium

  * New upstream version 22.5.2+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 Oct 2024 12:28:33 +0200
