## intel-gmmlib 22.7.0+ds1

=== debian/changelog ===
intel-gmmlib (22.7.0+ds1-1) unstable; urgency=medium

  * New upstream version 22.7.0+ds1
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 13 Mar 2025 19:23:14 +0100
