## intel-gmmlib 22.7.1

=== debian/changelog ===
intel-gmmlib (22.7.1-1ppa1~noble1) noble; urgency=medium

  * Bump to version 22.7.1

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Thu, 27 Mar 2025 18:10:53 +0800

intel-gmmlib (22.6.0-1ppa1~noble1) noble; urgency=medium

  *  Bump to version 22.6.0
  *  d/p: rebased a patches.
     - 0001-Add-BMG-E-NEX1-and-NEX2-Device-ID.patch

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Mon, 17 Mar 2025 14:46:52 +0800

intel-gmmlib (22.5.5-1ppa1~noble2) noble; urgency=medium

  * debian/patches: add BMG-E NX1 and NX2 device id.
    - 0001-Add-BMG-E-NEX1-and-NEX2-Device-ID.patch

 --  Lim, Siew Hoon <siew.hoon.lim@intel.com>  Thu, 06 Feb 2025 08:56:07 +0800

intel-gmmlib (22.5.5-1ppa1~noble1) noble; urgency=medium

  * Bump to version 22.5.5
  * debian/patches: drop patches already merged.
    - 0003-Extend-helper-Macros-219.patch

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Tue, 07 Jan 2025 14:29:21 +0800

intel-gmmlib (22.5.2-1ppa1~noble2) noble; urgency=medium

  * debian/patches: Fix BMG GPU hang
    - 0003-Extend-helper-Macros-219.patch 

 -- Hoe, Sheng Yang <sheng.yang.hoe@intel.com>  Wed, 20 Nov 2024 14:51:01 +0800

intel-gmmlib (22.5.2-1ppa1~noble1) noble; urgency=medium

  * Bump to version 22.5.2

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Wed, 30 Oct 2024 09:34:01 +0800

intel-gmmlib (22.5.1-1ppa1~noble1) noble; urgency=medium

  * Bump to version 22.5.1

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Mon, 09 Sep 2024 12:40:30 +0800

intel-gmmlib (22.3.19-1ppa1~noble1) noble; urgency=medium

  * Bump to version 22.3.19

 -- Mazlan, Hazwan Arif <hazwan.arif.mazlan@intel.com>  Fri, 14 Jun 2024 21:54:35 +0800

intel-gmmlib (22.3.18-1ppa1~noble1) noble; urgency=medium

  * build for ubuntu 24.04.

 -- LEE CHEE YANG <chee.yang.lee@intel.com>  Wed, 17 Apr 2024 14:21:25 +0800

intel-gmmlib (22.3.18-1ppa1~jammy2) jammy; urgency=medium

  * debian/patches: Add new DG2 device id
    - 0001-Add-new-DG2-device-IDs-194.patch

 -- Hoe, Sheng Yang <sheng.yang.hoe@intel.com>  Mon, 01 Apr 2024 15:52:34 +0800

intel-gmmlib (22.3.18-1ppa1~jammy1) jammy; urgency=medium

  * Bump to version 22.3.18

 -- Mazlan, Hazwan Arif <hazwan.arif.mazlan@intel.com>  Mon, 01 Apr 2024 13:51:34 +0800

intel-gmmlib (22.3.15-1ppa1~jammy1) jammy; urgency=medium

  * debian/patches: removed new DG2/ACM device id already integrated.
    - 0001-Add-more-DG2-Device-IDs.patch

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Mon, 08 Jan 2024 13:36:10 +0800

intel-gmmlib (22.3.12-1ppa1~jammy3) jammy; urgency=medium

  * debian/patches: add new ARL device id
    - 0001-Add-more-ARL-device-id.patch

 -- Lim Siew Hoon <siew.hoon.lim@intel.com>  Mon, 27 Nov 2023 16:04:55 +0800

intel-gmmlib (22.3.12-1ppa1~jammy2) jammy; urgency=medium

  * debian/patches: add new DG2/ACM device id
    - 0001-Add-more-DG2-Device-IDs.patch

 -- Lim Siew Hoon <siew.hoon.lim@intel.com>  Thu, 16 Nov 2023 14:42:51 +0800

intel-gmmlib (22.3.12-1ppa1~jammy1) jammy; urgency=medium

  * Bump to gmmlib 22.3.12
  * debian/patches: drop ARL-S support patches since already merged.

 -- Lim Siew Hoon <siew.hoon.lim@intel.com>  Wed, 01 Nov 2023 14:56:46 +0800

intel-gmmlib (22.3.7-1ppa1~jammy2) jammy; urgency=medium

  * debian/patches: add ARL-S support.
    - 0001-Introducing-ARL-S-Support.patch

 -- Lim, Siew Hoon  <siew.hoon.lim@intel.com>  Tue, 10 Oct 2023 12:31:06 +0800

intel-gmmlib (22.3.7-1ppa1~jammy1) jammy; urgency=medium

  * Bump to gmmlib 22.3.7

 -- Lim, Siew Hoon  <siew.hoon.lim@intel.com>  Wed, 12 Jul 2023 10:18:17 +0800

intel-gmmlib (22.3.5-1ppa1~jammy1) jammy; urgency=medium

  * Bump to gmmlib 22.3.5
  * debian/patches: drop patches already merged.
    - 0002-Integrate-into-cmake-s-test-framework.patch

 -- Lim, Siew Hoon  <siew.hoon.lim@intel.com>  Mon, 22 May 2023 12:17:47 +0800

intel-gmmlib (22.3.3-1ppa1~jammy1) jammy; urgency=medium

  * Bump to gmmlib 22.3.3

 -- Lim, Siew Hoon  <siew.hoon.lim@intel.com>  Mon, 16 Jan 2023 12:43:30 +0800

intel-gmmlib (22.3.1-1ppa1~jammy1) jammy; urgency=medium

  * Bump to gmmlib 22.3.1

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com> Tue, 29 Nov 2022 15:19:01 +0800

intel-gmmlib (22.2.0-1ppa1~jammy1) jammy; urgency=medium

  * Bump to gmmlib 22.2.0
  * debian/patches: drop patches already merged.
    - Support-for-default-build-types.patch

 --  Lim, Siew Hoon <siew.hoon.lim@intel.com>  Fri, 28 Oct 2022 11:20:54 +0800

intel-gmmlib (22.1.4-1ppa1~jammy1) jammy; urgency=medium

  * Bump to gmmlib 22.1.4
  * Sync to debian community rules

 -- Mazlan, Hazwan Arif <hazwan.arif.mazlan@intel.com>  Fri, 22 Jul 2022 14:37:50 +0800

intel-gmmlib (22.1.2-1ppa1~jammy2) jammy; urgency=medium

  * Rebased the local patches

 -- Mazlan, Hazwan Arif <hazwan.arif.mazlan@intel.com>  Wed, 13 Jul 2022 23:32:14 +0800

intel-gmmlib (22.1.2-1ppa1~jammy1) jammy; urgency=medium

  * New upstream version 22.1.2
    - Revert ABI breakage (Closes: #1007992)
 
 -- Sachin Mokashi <sachin.mokashi@intel.com>  Wed, 18 May 2022 13:01:23 +0800

intel-gmmlib (22.0.2-1ppa1~jammy1) jammy; urgency=medium

  * Build for jammy.

 -- Anuj Mittal <anuj.mittal@intel.com>  Tue, 26 Apr 2022 19:03:19 +0800

intel-gmmlib (22.0.2-1ppa1~hirsute1) hirsute; urgency=medium

  * New upstream release
  * Add intel-gmmlib package for compatibility
  * Sync with Ubuntu repo
      * SONAME bump: libigdgmm11 -> libigdgmm12
      * debian/copyright:
    	- Bump copyright years
    	- Remove Gabi Melman since spdlog is excluded

 -- Chew, Tong Liang <tong.liang.chew@intel.com>  Wed, 23 Mar 2022 22:47:37 +0800

intel-gmmlib (21.3.3) hirsute; urgency=medium

  * New upstream release
  * debian/control: Bump Standards-Version

 -- LEE CHEE YANG <chee.yang.lee@intel.com>  Tue, 07 Dec 2021 10:47:21 +0800

intel-gmmlib (21.2.1) hirsute; urgency=medium

  * drop debian source changes to source code. 

 -- Lee Chee Yang <chee.yang.lee@intel.com>  Wed, 13 Oct 2021 17:36:12 +0800

intel-gmmlib (21.2.1+ds1-1ppa1~hirsute1) hirsute; urgency=medium

  * New upstream release


