## intel-gmmlib 22.7.1+ds1

=== debian/changelog ===
intel-gmmlib (22.7.1+ds1-1) unstable; urgency=medium

  * New upstream version 22.7.1+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 30 Mar 2025 14:04:52 +0200
