## intel-gmmlib 22.7.2+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,4 +6,6 @@
 
 project(igfx_gmmumd)
 
+enable_testing()
+
 add_subdirectory(Source/GmmLib)
