=== debian/changelog ===
intel-gmmlib (22.7.2+ds1-1) unstable; urgency=medium

  * New upstream version 22.7.2+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 23 May 2025 18:48:23 +0200
